#include <Wire.h>  // Biblioteca para comunicación I2C

#define XIAO_ADDR 0x08  // Dirección I2C de la XIAO RP2040

void setup() {
  Wire.begin();  // Iniciar I2C como maestro
  Serial.begin(115200);  // Comunicación con el Monitor Serial
  Serial.println("Arduino UNO listo para enviar datos. ELIGE 1 : ROJO , 2: GREEN, 3 : BLUEEE ");
}

void loop() {
  if (Serial.available()) {
    String tiempoMuestreo = Serial.readStringUntil('\n');  // Leer tiempo de muestreo del Monitor Serial
    int tiempo = tiempoMuestreo.toInt();  // Convertir a número entero

    if (tiempo > 0) {  // Validar que el tiempo sea positivo
      Wire.beginTransmission(XIAO_ADDR);  // Iniciar transmisión I2C con la XIAO
      Wire.write(tiempo);  // Enviar el tiempo de muestreo como entero
      Wire.endTransmission();  // Finalizar transmisión

      Serial.println("COLOR " + String(tiempo) );
    } else {
      Serial.println("Por favor, ingresa un número válido.");
    }

    delay(1000);  // Pausa para evitar envíos continuos
  }
}
