#include <Wire.h>

void setup() {
  Wire.begin(); // Iniciar I2C como maestro
  Serial.begin(115200); // Para depuración
  Serial.println("Ingresa un valor para enviar a los dispositivos I2C:");
}

void loop() {
  if (Serial.available() > 0) {
    int valor = Serial.parseInt();  // Leer el valor ingresado en el Monitor Serial
    
    if (valor > 0) {  // Validar que el valor sea mayor a 0
      Serial.println("Enviando valor: " + String(valor)); // Mostrar el valor enviado para depuración

      // Enviar valor al primer XIAO
      Wire.beginTransmission(0x08); // Dirección del primer XIAO
      Wire.write(valor);
      Wire.endTransmission();
      delay(100);

      // Enviar valor al segundo XIAO
      Wire.beginTransmission(0x09); // Dirección del segundo XIAO
      Wire.write(valor);
      Wire.endTransmission();

      Serial.println("Valor enviado a los dispositivos I2C.");
    } else {
      Serial.println("Ingresa un valor válido mayor a 0.");
    }

    Serial.println("Ingresa otro valor para continuar:");
  }
}
